## Abstract

The presence of a fractional-exponent growth law relating knot energy and knot topology is known to be an essential characteristic for the existence of ‘ideal’ knots. In this paper, we show that the energy infimum *E*_{N} stratified at the Hopf charge *N* of the knot energy of the Faddeev type induced from the Hopf fibration (*n*≥1) in general dimensions obeys the sharp fractional-exponent growth law , where the exponent *p* is universally rendered as , which is independent of the detailed fine structure of the knot energy but determined completely by the dimensions of the domain and range spaces of the field configuration maps.

## 1. Introduction

The concept of knots is important to many subject areas in science including particle physics, condensed-matter physics, molecular biology, synthetic chemistry and cosmology. The geometric and physical contents of a knot may be measured by an energy functional, *E*, which is non-negative valued and sometimes assumed to be scale invariant, whose choice unambiguously reflects one's standpoint on what properties of a knot are to be taken into account. Well-known knot energies designed for measuring knotted/tangled space curves include the Gromov distortion energy (Gromov 1978, 1983), the Möbius energy (O'Hara 1991, 1992; Bryson *et al*. 1993; Freedman *et al*. 1994) and the ropelength energy (Nabutovsky 1995; Buck 1998; Cantarella *et al*., 1998, 2002; Gonzalez & Maddocks 1999). See Janse van Rensburg (2005) for a rather comprehensive survey of these and other knot energies and related interesting studies. On the other hand, combinatorial or topological classification of knots may be realized by various knot invariants, among the simplest ones are crossing/linking numbers, which provide qualitative/quantitative measurements of the complexity of the entanglement of knots. The values of knot energies depend on the geometric and physical conformations of the knots but knot invariants characterize the topological types, and are independent of the detailed geometric and physical structures, of the knots. In other words, when considered at their initial definition levels, knot energies and knot invariants are two independent conceptual ‘quantities’, which measure different and seemingly irrelevant aspects of knots. However, at the groundstate levels where knot energies are minimized and the knots realizing such minimum energy values are commonly referred to as ‘ideal knots’ (Stasiak *et al*. 1998), these two types of quantities are expected to be closely related. In particular, Moffat (1990) articulates to use the minimum knot energy as a new type of topological invariant for knots and links, further emphasizes that any knot or link may be characterized by an ‘energy spectrum’, a set of positive real numbers determined solely by its topology, and proposes that the lowest energy provides a possible measure of knot or link complexity. Katritch *et al*. (1996) approach knot identification by considering the properties of specific geometric forms of knots that are defined as ideal so that for a knot with a given topology and assembled from a tube of uniform diameter, the ideal form is the geometrical configuration having the highest ratio of volume to surface area. Equivalently, this amounts to determining the shortest piece of tube that can be closed to form the knot. They report their results of computer simulations showing a linear relationship between the length-to-diameter ratio, or the ropelength energy, and the (averaged) crossing number, of the knot and indicating the practicality of using ropelength energy to detect knot type. Buck (1998) uses the minimum ropelength energy of a knot to measure the complexity of the knot conformation and investigates the reported linear relationship between ropelength energy and the average crossing number of knots. He shows that a linear relationship cannot hold in general and the ropelength required to tie an *N*-crossing knot or link varies at least between *N*^{3/4} and *N*. Canterella *et al*. (1998) further show that for any power 3/4≤*p*≤1, there are infinite families of *N*-crossing knots and links that realize the minimum ropelength energy asymptotic relationship *E*∼*N*^{p}, that is, for each *p*, there are families of *N*-crossing knots and links whose minimum ropelength energy and *p*-powered crossing number ratio, *E*/*N*^{p}, remains bounded from below and above as *N*→∞. The common feature of these studies on the ideal or canonical conformations and complexity of knots and links is that they all originate from diagrammatic considerations of knotted space curves whose existence, however, is not based on the first principle (Niemi 1998; Janse van Rensburg 2005).

Since knotted conformations are known to be fundamental entities in nature, it will be important to realize them based on a first principle approach (Niemi 1998), i.e. to obtain them in suitable Lagrangian field theory models as concentrated field formations or knotted solitonic configurations that appear as organized patterns evolved from the underlying interactions of physical fields. Indeed, the recent work of Faddeev & Niemi (1997) produces knotted solitons in the Faddeev relativistic quantum field theory model (Faddeev 1979, 2002) and opens a new area of mathematical pursuit for knotted solitons in field theory in general. The importance of the Faddeev model is that it is a refined Skyrme model (Skyrme 1961*a*,*b*, 1962, 1988; Cho 2001), which uses topological solitons to model unified baron and meson interactions. Unlike the Skyrme solitons that are topologically represented by the Brouwer degree and may be viewed as elements in *π*_{3}(*S*^{3}), the Faddeev solitons are topologically represented by the Hopf invariant and may be viewed as elements in *π*_{3}(*S*^{2}). Although both homotopy groups are isomorphic to the set of all integers, , the dependence relationships between the corresponding minimum energies and topologies are drastically different, which lead to the existence of different types of solitons: point-like ones in the Skyrme theory but knot-like ones in the Faddeev theory. More precisely, let us use *E* and *Q* to collectively denote the energy and topological invariant in either the Skyrme theory or the Faddeev theory, *u* is any static field configuration, *N* is a given integer, and(1.1)Then, for the Skyrme theory case, we have the linear asymptotics(1.2)Such a property is also commonly seen in previously well-studied gauge field theory soliton configurations including vortices and monopoles (Bogomol'nyi 1976; Actor 1979; Jaffe & Taubes 1980; Yang 2001) and instantons (Witten 1977; Atiyah *et al*. 1978; Actor 1979; Rajaraman 1982; Nash & Sen 1983; Freed & Uhlenbeck 1991; Yang 2001). On the other hand, however, for the Faddeev theory case, we have, instead, the sublinear asymptotics(1.3)which is analogous to the ropelength energy, crossing number relation *E*∼*N*^{p} (3/4≤*p*≤1) stated earlier but is uncommonly seen in quantum field theory. Indeed, we have shown in (Lin & Yang 2004, 2007) that the sublinear growth law (1.3) dictates that tangled structures are energetically preferred over multiple soliton structures at high Hopf number *N* and, therefore, is essential for knotted configurations to form. Besides, the fine details of (1.3) are also recognized to be important for developing an existence theory concerning knotted solitons in the Faddeev field theory. In particular, the explicitly calculable lower estimate(1.4)allows us (Lin & Yang 2007) to establish that *E*_{±1} at the unit Hopf charge is attainable and the upper estimate(1.5)leads us (Lin & Yang 2004) to arrive at the conclusion that there is an infinite subset ⊂ so that for any *N*∈, the energy infimum *E*_{N} is attainable.

Thus, we see that the fractionally powered energy–topology growth law of the Faddeev model gives rise to a series of important consequences to the formation of knots and deserves refreshed close attention and study.

In this paper, we show that the growth law (1.3) for the Faddeev knot energy is *universal* in the sense that the topological growth factor |*N*|^{3/4} will be proven to stay unaffected by the fine structure change of the energy. More precisely, we show that when the *L*^{2} gradient term in the Faddeev energy is replaced by an *L*^{p} gradient term with *p* satisfying 1<*p*<12/5, *E*_{N} fulfils the lower bound (1.4) for which *C*_{0}>0 depends only on *p*; when the energy integrand is *arbitrarily* given, *E*_{N} satisfies the upper bound (1.5) for which *C*_{1}>0 is independent of *N*. In fact, we shall establish our results for maps in the most general (Hopf) dimensions, i.e. for maps from to *S*^{2n} so that our universal knot energy–knot topology growth law reads(1.6)Note that an interesting thing about this asymptotic relation is that the universal fractional power (4*n*−1)/4*n* is such that its numerator 4*n*−1 is the dimensionality of the domain space and its denominator 4*n* is twice the dimensionality of the range space of the maps under consideration, which immediately explains why the fractional power in the knot energy–knot topology growth law for the classical Faddeev field theory model as stated in (1.3) is exactly 3/4.

In §2, we extend the Faddeev knot energy into general dimensions governing maps from into *S*^{2n} and deduce an explicit topological lower bound of the form (1.4). In §3, we modify the *L*^{2} gradient term into an *L*^{p} gradient term, in the generalized Faddeev knot energy and deduce the updated explicit topological lower bound. In particular, we show that the topological growth factor |*N*|^{(4n−1)/4n} remains unchanged as asserted. In §4, we establish an arbitrary-dimensional version of (1.5) and thus arrive at the general universal growth law (1.6).

The results of this paper sharpen those described in Lin & Yang (2006) by obtaining explicit numerical expressions of various proportionality coefficients in the growth laws. These concrete expressions are of importance for a more precise understanding of the relationship between the structure of the energy of knots and their topological characteristics.

## 2. Faddeev knot energy and Hopf invariant

Recall that for a field configuration map , the induced Faddeev magnetic field (*F*_{jk}(* n*)) has the components(2.1)and, in normalized units, the Faddeev energy takes the form (Faddeev 1979, 2002; Faddeev & Niemi 1997; Battye & Sutcliffe 1998, 1999; Hietarinta & Salo 1999)(2.2)The finite-energy condition implies that

*approaches a constant vector at infinity of so that*

**n***may be viewed as a map from into*

**n***S*

^{2}and represented by a homotopy class in

*π*

_{3}(

*S*

^{2})= which is an integer, say

*Q*(

*), known as the Hopf invariant. It is direct to examine that the vector field is divergence free, or . Hence, there is a vector field*

**n***such that . It was Whitehead (1947) who showed that*

**A***Q*(

*) could be expressed in the form of an integral,(2.3)which is a special form of the Chern–Simons class (Chern & Simons 1971, 1974) in three dimensions.*

**n**The Whitehead representation of the Hopf invariant may naturally be carried over to general dimensions (Bott & Tu 1982). Indeed, if *α* is a generator of the top de Rham cohomology group and an arbitrary differentiable map, then the pullback of *α* under *f*, namely *f*^{*}*α*, is necessarily closed. Since , there is an (*m*−1) form *η* on *S*^{2m−1} such that . With these, the Hopf invariant of *f* is given by the expression(2.4)which is seen to be conformally invariant. Therefore, using a stereographic projection, we may delete a point on *S*^{2m−1} to rewrite (2.4) as(2.5)It is well known that the Hopf invariant is trivial, i.e. *Q*(*f*)=0, when *m* is an odd number. Hence, we are left with the even number case, *m*=2*n*, to study.

Thus, from now on, we consider maps from to *S*^{2n}. Recall that the canonical volume element of *S*^{2n} is the 2*n* form(2.6)where *x*^{1}, *x*^{2}, …, *x*^{2n+1} are the coordinates of and ‘ˆ’ denotes the factor that is omitted. Let be the total volume of the sphere *S*^{2n}.

Denote by * the Hodge dual induced from the Euclidean metric on and 〈., .〉 the associated pointwise inner product over the space of *p* forms, say , at any defined by , where is the standard volume element of with the norm of a *p* form *α* is given by .

For the pullback *u*^{*}(*Ω*) of *Ω* defined in (2.6) under , we have(2.7)Therefore, we see that the energy functional(2.8)is a direct extension to all (4*n*−1) dimensions of the original Faddeev energy functional (2.2) in three dimensions.

Since |*u*|^{2}=1, we see that for any *i*=1, 2, …, 4*n*−1, is perpendicular to .

For fixed *i*_{1}, *i*_{2}, …, *i*_{2n}, there are two possibilities, at any given point .

are linearly dependent.

Then, of course, , and(2.9)for any

*k*=1, 2, …, 2*n*+1.are linearly independent.

Let

*U*be the subspace of spanned by these vectors. Define by(2.10)Then because for all*k*=1, 2, …, 2*n*. Note also that . Since , we see that*u*is parallel to*v*. Consequently, . Therefore, we can rewrite as(2.11)

In order to obtain an optimal bound of in terms of the usual gradient squared of the components of *u*, we adapt the method of Manton (1987) and Ward (1999) in three dimensions to general dimensions as follows.

We claim that the r.h.s. of the expression (2.11) can be rewritten as(2.12)which is the sum of all principal minors of the order 2*n*×2*n* of the (2*n*+1)×(2*n*+1) matrix(2.13)To prove this claim, we look at the relation at the origin of . We consider the matrix(2.14)Then, it is clear that(2.15)At *x*=0, we may use the singular value decomposition theorem (cf. Stoer & Burlirsch 1990, p. 332) to find two orthogonal matrices *P* and *Q* of sizes (4*n*−1)×(4*n*−1) and (2*n*+1)×(2*n*+1), respectively, so that(2.16)where . For (2.16), set(2.17)We see that the sum of all the 2*n*×2*n* principal minors of *Γ* is equal to the sum of the squares of all the 2*n*×2*n* minors of *Σ*.

In order to prove the same relationship between *A* and *B* as defined in (2.15), we use a coordinate change in *x*^{1}, *x*^{2}, …, *x*^{4n−1} and an orthogonal transformation on to absorb the matrices *P* and *Q* on the l.h.s. of (2.16). Since (2.11) and (2.12) are invariant under such a coordinate change and orthogonal transformation, we again arrive at the simplified situation, (2.16) and (2.17). Consequently, we deduce that the quantities expressed in (2.11) and (2.12) are identical indeed.

Let *λ*_{1}, …, *λ*_{2n+1} be the eigenvalues of the matrix (2.13). Then(2.18)On the other hand, we have(2.19)since . Therefore, *u* belongs to the nullspace of the matrix *A*. As a consequence, one of the eigenvalues of *A* must vanish. We may assume *λ*_{2n+1}=0. Using this fact in (2.18), we obtain the relation(2.20)Using now the arithmetic mean–geometric mean inequality, we have, in view of (2.20), the optimal upper bound(2.21)

Now recall the sharp Sobolev inequality (Aubin 1976; Talenti 1976; Lutwak *et al*. 2002): For a scalar function , if 1<*p*<*m* and , then(2.22)where the best constant *c*_{0} is given by(2.23)with *ω*_{m} the *m*-dimensional volume enclosed by the unit sphere *S*^{m−1} in .

Specializing to *p*=2, *m*=4*n*−1 in (2.22) and (2.23), we have(2.24)where *q* satisfies(2.25)and(2.26)Note that the conjugate exponent *q*′ with respect to *q* defined in (2.25) is given by(2.27)which lies in the interval [6/5, 2).

For any map , we use *v* to denote a (2*n*−1) form *v* such that(2.28)Since(2.29)is a generator of , we see that the Hopf invariant (2.5) is updated into(2.30)As usual, we may assume that *v* lies in the ‘Coulomb gauge’, . Then, we have (Morrey 1966)(2.31)where denotes the sum of the usual *L*^{2} norm squared of all the first derivatives of the components of the (2*n*−1)-form *v*.

Again, as before, we have(2.32)where, in deriving the last inequality, we used the fact that, treating ** v** as a ‘vector’, we have(2.33)For in (2.32) (defined in (2.27)), we have, with and

*s*,

*t*>1 satisfying , the inequality(2.34)We may chooseNoting that and , we obtain in view of (2.21) and (2.34) that(2.35)Inserting (2.35) into (2.32) and using again, we get(2.36)Using the fact that 2(2

*n*−1) and 2(2

*n*−1)/(4

*n*−3) are conjugate exponents, we get from (2.36) and (2.8) that(2.37)We can summarize the above into the following.

*For maps in general dimensions from the Euclidean space* *into the unit sphere S*^{2n}*, let the static knot energy of the Faddeev type be given by* (*2.8*) *and the Hopf invariant defined by* (*2.30*). *Then**, there holds the fractional-exponent topological lower bound*(2.38)*where the constant C*(*n*) *is explicitly given by*(2.39)*in which the constant c*_{0} *is defined by the expression* (*2.26*).

In the special case (Faddeev 1979, 2002; Faddeev & Niemi 1997), *n*=1, we have(2.40)which coincides with the earlier known result (cf. Lin & Yang 2007 and references therein) for the classical Faddeev knot energy model in three dimensions.

## 3. Universal lower bound

In the last section, we have seen that the knot energy (2.8) is bounded from below by a quantity proportional to the absolute value of the Hopf invariant (2.30) to the power of (4*n*−1)/4*n*, which is the ratio of the dimension of the domain space over twice the dimension of the range space of the maps under consideration. In this section, we show that, modulo the proportionality constant, the fractional-powered topological lower bound does not change even when the static knot energy is modified to a certain extent.

For our purpose, we replace the *L*^{2} gradient term in (2.8) by an *L*^{p} gradient term and consider the following altered (or extended) knot energy:(3.1)where *p*>1 is to be specified later. For *q*′ defined in (2.27), we start from (2.32) again.

Write and set(3.2)Formally, we have . Requiring *s*>1 gives the condition or(3.3)which is to be assumed throughout. Under (3.3), we may require *q*_{1} and *q*_{2} satisfy(3.4)Inserting (3.4) into (2.34) and using (2.21), we have(3.5)Substituting (3.5) into (2.32), we arrive at(3.6)Note that(3.7)where(3.8)(3.9)satisfy and, due to (3.3),(3.10)Using these facts in (3.6), we obtain(3.11)

In conclusion, we see that, after inserting the values of *q*′ given in (2.27) and *α*, *β* given in (3.8), (3.9), respectively, in the inequality (3.11), we arrive at the following.

*Let the extended knot energy for a map* *be defined by* (*3.1*) *so that the Hopf invariant is given by* (*2.30*). *Then there holds the universal lower bound*(3.12)*where the positive constant C*(*n*, *p*) *may be explicitly expressed as*(3.13)*in which the constant c*_{0} *is as given in* (*2.26*).

It is clear that, in the special case when *p*=2, (3.13) reduces to (2.39), namely , as expected.

## 4. Universal upper bound

We now consider the universal topological upper bound problem and assume that the energy functional takes the *most general* form(4.1)where the energy density is only assumed to be continuous with respect to its arguments and satisfies(4.2)

*Let the static knot energy functional E for maps from* *be defined by* (*4.1*) *and* (*4.2*) *and the Hopf invariant Q be defined by* (*2.30*). *Then for any given integer N that may be realized as the value of the Hopf invariant*, *i.e.* *for some differentiable map* *, and* *, we have the universal topological upper bound*(4.3)*where C*>0 *is a constant independent of N*.

In order to prove the theorem, we need to recall the following facts concerning the possible values of the Hopf invariant (Bott & Tu 1982; Husemoller 1994).

For

*n*=1, 2, 4, there are maps of the Hopf invariant 1. In fact, there are maps with the Hopf invariant equal to any integers.Conversely, if there is a map of the Hopf invariant 1, then

*n*=1, 2, 4. This statement is known as Theorem of Adams and Atiyah (Adams 1960; Adams & Atiyah 1966; Husemoller 1994).For any

*n*, there is always a map with the Hopf invariant equal to any even number.

Consequently, we see that, except for *n*=1, 2, 4, the smallest positive Hopf number is 2, but not 1, and the construction in Lin & Yang (2006; under the oversimplified assumption that the smallest positive Hopf number is 1) needs to be modified accordingly.

We proceed as follows.

Let *m* be a positive integer and use *B*_{r} to denote the ball in centred at the origin and with radius *r*>0. For *n*≠1, 2, 4, consider a map(4.4)such that *h* is a constant vector outside the ball ,(4.5)for a constant *C*_{1}>0 independent of *m*, and that *Q*(*h*)=2.

Given a positive integer *N*, we first assume that *N* can be expressed as *N*=2*m*^{2} for some positive integer *m*.

We decompose the upper hemisphere of *S*^{2n} as(4.6)Here, *B*(*i*)'s are mutually disjoint geodesic balls of radius inside , for which *C*_{0}>0 is a small number independent of *m*. Define a differentiable map such that for all , and on each *B*(*i*), *v* satisfies , covers *S*^{2n} exactly once, and is orientation preserving. In particular, the degree of *v* from (viewed topologically as a sphere) onto *S*^{2n} is exactly 1. Since *B*(*i*) has geodesic radius , we can further require that(4.7)for some positive constant *C*_{2} independent of *m*.

For , we have (Husemoller 1994)(4.8)The construction of *v* and *h* also gives us the bound(4.9)Note that *u* is constant-valued outside .

Hence, for the energy defined by (4.1) and (4.2), we have(4.10)Here and in the sequel, we use *C* to denote a generic positive constant that is independent of the Hopf number *N* and may assume different values at different places.

For the general even case, *N*=2*M*≥2, we have(4.11)for some integer, *m*≥1. We observe that(4.12)

Let be a smooth map with(4.13)Take *ℓ* points such that(4.14)for all *i*, *j*=1, 2, …, *ℓ*, and *i*≠*j*. Define by(4.15)Here, *u* is constructed as in the case *N*=2*m*^{2} before and *B*_{r}(*x*_{0}) denotes the ball in centred at *x*_{0} and with radius *r*.

We have . Besides,(4.16)as before.

Finally, we consider the odd number case. Obviously, it suffices to work on the situation when *N* is large enough.

Let , where *N*_{0} is the smallest positive odd integer so that the Hopf invariant may assume this value and *M*≥1 is sufficiently large. Let *u* be a trial configuration so that(4.17)where and there are maps *u*_{1}, *u*_{2} from to *S*^{2n} defined by(4.18)which satisfy , . Hence and(4.19)since 2*M*<*N* and *N* is a large number. Hence, the theorem has been established.

Combining theorems 3.1 and 4.1 and setting , where the knot energy *E*_{p} is as defined in (3.1), we arrive at the following universal asymptotic growth law:(4.20)where we emphasize that the r.h.s. of (4.20) is a quantity that is independent of the detailed fine structure of the knot energy functional and only comprised the topological invariant and dimension numbers of the domain and range spaces of the configuration maps from into *S*^{2n}.

Sublinear growth laws of the form (4.20) have profound implications for the formation of knotted/tangled soliton structures. See Lin & Yang (2004, 2007) for details in the classical situation (Faddeev 1979, 2002; Faddeev & Niemi 1997) of three spatial dimensions (*n*=1).

## Acknowledgments

F.L. was supported in part by NSF under grant DMS-0201443. Y.Y. was supported in part by NSF under grant DMS-0406446 and an Othmer senior faculty fellowship at Polytechnic University. Part of this work was carried out when Y.Y. was visiting the Chern Institute of Mathematics at Nankai University.

## Footnotes

↵† Address from 1 September 2008: Department of Mathematics, Yeshiva University, New York, NY 10033, USA.

- Received March 25, 2008.
- Accepted May 8, 2008.

- © 2008 The Royal Society